<?php defined("IN_FORMA") or die('Direct access is forbidden.');

/* ======================================================================== \
|   FORMA - The E-Learning Suite                                            |
|                                                                           |
|   Copyright (c) 2013 (Forma)                                              |
|   http://www.formalms.org                                                 |
|   License  http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt           |
|                                                                           |
|   from docebo 4.0.5 CE 2008-2012 (c) docebo                               |
|   License http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt            |
\ ======================================================================== */

class NotificheLmsController extends LmsController {

	public $name = 'Notifiche';

	public $ustatus = array();
	public $cstatus = array();

	public $levels = array();

	public $path_course = '';

	protected $_default_action = 'show';

	public $info = array();

	public function isTabActive($tab_name) {

		return true;
	}

	public function init() {
		
	}

	public function showTask() {

		require_once(_lms_.'/lib/lib.middlearea.php');
		$ma = new Man_MiddleArea();
		$block_list = array();
		//if($ma->currentCanAccessObj('user_details_short')) $block_list['user_details_short'] = true;
		if($ma->currentCanAccessObj('user_details_full')) $block_list['user_details_full'] = true;
		if($ma->currentCanAccessObj('credits')) $block_list['credits'] = true;
		if($ma->currentCanAccessObj('news')) $block_list['news'] = true;
		$tb_label = $ma->currentCanAccessObj('tb_label');
		if(!$tb_label)
			$_SESSION['id_common_label'] = 0;
		else
		{
			$id_common_label = Get::req('id_common_label', DOTY_INT, -1);

			if($id_common_label >= 0)
				$_SESSION['id_common_label'] = $id_common_label;
			elseif($id_common_label == -2)
				$_SESSION['id_common_label'] = -1;

			$block_list['labels'] = true;
		}

		if($tb_label && $_SESSION['id_common_label'] == -1)
		{
			require_once(_lms_.'/admin/models/LabelAlms.php');
			$label_model = new LabelAlms();

			$user_label = $label_model->getLabelForUser(Docebo::user()->getId());

			$this->render('_labels',array(	'block_list' => $block_list,
											'label' => $user_label));
		}
		else
		{
			if(!empty($block_list)){
				$this->render('_tabs_block', array('block_list' => $block_list));
            }
			else
				$this->render('_tabs', array());
		  }

	}

    //** visualizza lista notifiche **
	public function listNotifiche() {
		$class_name=ucfirst($this->name);
		require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
		
		$notPlugin=new NotifichePlugin();
		$notPlugin->getMainView();
		
        
	}
	
 
    //** visualizza lista notifiche **
    public function show() {
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->getMainView();
        
    } 
 
    
    //** richiama la  pagina di inserimento notifica **
    public function addNotifica(){
        
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->addNotifica();        
        
        
    }
    
    //** aggiungi notifica in db **
    public function newnotifica(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->addNotificaInDB(); 
        
    }
    
    
    //** aggiorna notifica in db **
    public function updatenotifica(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->updateNotificaInDB(); 
        
    }
        
        
    
    //** aggiungi notifica in db **
    public function noPermission(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->noPermission(); 
        
    }    
    
    // cambia stato notifica **
    public function changestatus(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->changeStatus(); 
           
    }
    
    
    // elimina notifica **
    public function eliminaNot(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->eliminaNot(); 
           
    }    
    
    //** aggiorna notifica form pagina **
    public function aggiornaNot(){
        $class_name=ucfirst($this->name);
        require_once(_plugins_."/".$this->name."/".$class_name."Plugin.php");
        
        $notPlugin=new NotifichePlugin();
        $notPlugin->aggiornaNot();        
        
    }
    
    
    
    
    
    
	public function render($view, $data_for_view = false){
		include_once(_plugins_."/".$this->name."/views/".$view.".php");
	}

}
