<?php 
class NotifichePlugin extends FormaPlugin{
	public function init(){
		
	}
	
    //** visualizza lista notifiche **
	public function getMainView(){
		$myNot = new NotificheLms();
		$notifiche = $myNot->get_notifiche();
        
		include_once(dirname(__FILE__)."/views/showNotifiche.php");
	}
	
    
    //** visualizza maschera notifiche **
    public function addNotifica(){
        include_once(dirname(__FILE__)."/views/addNotifica.php");
    }
        

    //** visualizza maschera notifiche **
    public function noPermission(){
        include_once(dirname(__FILE__)."/views/noPermission.php");
    }
                
        
        
    //** aggiungi notifica in db **    
    public function addNotificaInDB(){
        $myNot = new NotificheLms();
        
         //inserisci i valori in db e ritorna alla lista delle notifiche
        $myNot->addNotificaInDB();

        Util::jump_to('index.php?r=lms/notifiche/show&sop=unregistercourse');
    }        
      
      
    //** aggiorna notifica in db **    
    public function updateNotificaInDB(){
        $myNot = new NotificheLms();
        
         //inserisci i valori in db e ritorna alla lista delle notifiche
        $myNot->updateNotificaInDB();

        Util::jump_to('index.php?r=lms/notifiche/show&sop=unregistercourse');
    }       
      
      
    //** cambia stato alla notifica **    
    public function changeStatus(){
        $myNot = new NotificheLms();
        
        $id_not = $_GET['id_not'];
        $status = $_GET['status'];
        if($status=="") $val_status = 0;
        if($status!="") $val_status = 1;
        
       
         //cambia stato alal notifica nel db **
        $myNot->changeStatusNotificaInDB($id_not,$val_status);

        
        Util::jump_to('index.php?r=lms/notifiche/show&sop=unregistercourse');
    }       
       
       
    //** elimina notifica **    
    public function eliminaNot(){
        $myNot = new NotificheLms();
        
        $id_not = $_GET['id_not'];
              
         //elimina notifica nel db **
        $myNot->eliminaNotificaInDB($id_not);

        
        Util::jump_to('index.php?r=lms/notifiche/show&sop=unregistercourse');
    }        
       
   
   //** aggiorna notifica **     
   public function aggiornaNot(){
        $myNot = new NotificheLms();
        $notifiche = $myNot->get_notifiche();

        
        $id_not = $_GET['id_not'];
        include_once(dirname(__FILE__)."/views/updateNotifica.php");
          
   }     
        
        
        
    //** attiva plugin **
	public function activate(){
		//$res=sql_query("INSERT into learning_middlearea values('tb_notifiche', 0, 'a:0:{}', 12)");
        $res = $sql_query("INSERT INTO `formalms_plugin`.`learning_menu_under` (`idUnder`, `idMenu`, `module_name`, `default_name`, `default_op`, `associated_token`, `of_platform`, `sequence`, `class_file`, `class_name`, `mvc_path`) VALUES (NULL, '14', 'transaction', '_NOTIFICHE', '', 'view', NULL, '1', '', '', 'lms/notifiche/show');");
        
        $res1 = sql_query("CREATE TABLE IF NOT EXISTS `notifiche` (
                          `id_notifica` int(100) NOT NULL AUTO_INCREMENT,
                          `id_evento` int(100) NOT NULL,
                          `id_dest` int(100) NOT NULL,
                          `oggetto` varchar(100) NOT NULL,
                          `testo_email` varchar(100) NOT NULL,
                          `id_autore` int(100) NOT NULL,
                          `disabled` int(11) NOT NULL DEFAULT '1',
                          PRIMARY KEY (`id_notifica`)
                        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ");
                                    
         $res2 = sql_query("INSERT INTO `notifiche` (`id_notifica`, `id_evento`, `id_dest`, `oggetto`, `testo_email`, `id_autore`, `disabled`) VALUES
                          (5, 12, 2, 'oggetto', 'gentile [first_name] [last_name] è stato aggiunto il corso [course_name] nel catalogo [catalogo]', 11836, 0)");     
       
           
         $res3 = sql_query("insert into learning_menu_under 
                            (idMenu, module_name, default_name, associated_token, sequence, mvc_path)
                            VALUES
                            (14,'transaction','_NOTIFICHE','view',1,'lms/notifiche/show')
                             ")      ;
                           
         //** inserire record per nuove stringhe lingua **     
         /*
        //** stringa _NOTIFICHE-->Notifica
        INSERT INTO core_lang_text (id_text, text_key, text_module, text_attributes) VALUES (NULL, '_NOTIFICHE', 'standard', '');
        INSERT INTO core_lang_translation ( id_text,lang_code,  translation_text, save_date ) VALUES  ((SELECT id_text FROM core_lang_text where text_key = '_NOTIFICHE'), 'italian','Notifiche',now() )
        INSERT INTO core_lang_translation ( id_text,lang_code,  translation_text, save_date ) VALUES  ((SELECT id_text FROM core_lang_text where text_key = '_NOTIFICHE'), 'english','advice',now() )
         */
                            
		return $res;
	}
	
    //** disattiva plugin **
	public function deactivate(){
		//$res=sql_query("delete from learning_middlearea where obj_index like 'tb_notifiche'");
        $res=sql_query("delete from learning_menu_under where default_name like '_NOTIFICHE'");
		//$res=sql_query("drop table notifiche");
        
		return $res;
	}
	
	
    //** funziona eseguita sempre ad ogni ricaricamento pagina, gestore di eventi **
    public function run() {   

         $myNot = new NotificheLms();
         
        //** NUOVO CORSO id=12  (OK)**
		if($_GET['r']=="alms/course/newcourse" && isset($_POST['save']) )  {
              //** controllo che ci sia un evento/i associato **
              $notificheRun = $myNot->esisteEvento(12);
                            
              if(count($notificheRun)>0)$myNot->runNuovoCorso($notificheRun);  
        }
        
	}
    
    
    
    
    
}
?>